Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 19338)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 19339)
@@ -926,20 +927,20 @@
 $lang['Posted %s on %s'] = 'Publicada %s, el %s';
 $lang['Rated %d times, score : %.2f'] = 'Valorada %d vegades. Resultat: %.2f';
-$lang['Sharpen'] = 'Enfocament';
+$lang['Sharpen'] = 'Sharpen (aguditzar)';
 $lang['Visited %d times'] = 'Visitada %d vegades';
 $lang['Watermark'] = 'Marca d\'aigua';
 $lang['%d week'] = '%d setmana';
 $lang['%d weeks'] = '%d setmanes';
-$lang['Edit photo'] = 'Editafoto';
-$lang['create a new site'] = 'Crear un lloc nou';
-$lang['No order field selected'] = 'Ordre no seleccionat';
-$lang['Duplicate selected tags'] = 'Duplicar etiquetes seleccionades';
+$lang['Edit photo'] = 'Edita la foto';
+$lang['create a new site'] = 'Crea un lloc nou';
+$lang['No order field selected'] = 'No s\'ha seleccionat cap camp per a ordenar';
+$lang['Duplicate selected tags'] = 'Duplica les etiquetes seleccionades';
 $lang['Name of the duplicate'] = 'Nom del duplicat';
-$lang['Source tag'] = 'Font d\'etiqueta';
+$lang['Source tag'] = 'Etiqueta font';
 $lang['Tag "%s" is now a duplicate of "%s"'] = 'L\'etiqueta "%s" és ara un duplicat de "%s"';
 $lang['Format'] = 'Format';
 $lang['Invalid dimension'] = 'Dimensió no vàlida';
-$lang['Landscape'] = 'Paissatge';
-$lang['Manage photos'] = 'Administrar fotos';
+$lang['Landscape'] = 'Paisatge';
+$lang['Manage photos'] = 'Administra les fotos';
 $lang['Minimum height'] = 'Alçada mínima';
 $lang['Minimum width'] = 'Amplada mínima';
@@ -953,3 +954,13 @@
 $lang['between %.2f and %.2f'] = 'entre %.2f i %.2f';
 $lang['between %d and %d pixels'] = 'entre %d i %d píxels';
+$lang['Duplicate'] = 'Duplica';
+$lang['Merge selected groups'] = 'Fusiona els grups seleccionats';
+$lang['No group selected, no action possible.'] = 'No hi ha cap grup seleccionat, l\'acció no s\'ha pogut dur a terme.';
+$lang['No members to manage'] = 'No existeixen membres per a gestionar';
+$lang['Please select at least two groups'] = 'Heu de selecciona almenys dos grups';
+$lang['Rename'] = 'Canvia de nom';
+$lang['This group will be set to default'] = 'Estableix aquest grup com a predeterminat';
+$lang['This group will be unset to default'] = 'Aquest grup deixarà de ser el predeterminat';
+$lang['Type here the name of the new group'] = 'Escriviu aquí el nom del nou grup';
+$lang['Manage the members'] = 'Gestiona els membres';
 ?>
